Bug 1738113 - python-grabserial depends on Python 2
Summary: python-grabserial depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-grabserial
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sinny Kumari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:06 UTC by Lumír Balhar
Modified: 2019-09-14 16:33 UTC (History)
1 user (show)

Fixed In Version: python-grabserial-1.9.9-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:10:11 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:06:01 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for python-grabserial's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to python-grabserial.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:56:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:43:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-15 07:05:48 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-22 07:10:59 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Sinny Kumari 2019-08-23 04:36:42 UTC
Sorry for the delay in reply.

(In reply to Lumír Balhar from comment #0)

> - What is the reason for the Python2 dependency? (Is it software written in
> Python, or does it just provide Python bindings, or use Python in the build
> system or test runner?) 

Yes, software is written Python

> - What are the upstream/community plans/timelines regarding Python 3?

Have asked upstream about Python3 plan - https://github.com/tbird20d/grabserial/issues/31
 
> - What is the guidance for porting to Python 3? (Assuming that there is
> someone who generally knows how to port to Python 3, but doesn't know
> anything about the particular package, what are the next steps to take?)
 
Once upstream ports the project to Python3, it will be just bunch of renaming
variables from python2 to python3 in spec file and then build the python3 sub-package

> This bug is filed semi-automatically, and might not have all the context
> specific to python-grabserial.
> If you need anything from us, or something is unclear, please mention it
> here.
>

This application doesn't provide any Python library, that being said no other packages should
be relying on this. Is it ok to just remove Python2 sub-package and start building Python3
sub-package for F31 and onward releases?
> Thank you.

Comment 6 Lumír Balhar 2019-08-26 13:59:02 UTC
I can confirm that nothing depends on python2-grabserial so you can freely replace the Python 2 package with Python 3 one.

Comment 7 Sinny Kumari 2019-08-26 15:03:12 UTC
(In reply to Lumír Balhar from comment #6)
> I can confirm that nothing depends on python2-grabserial so you can freely
> replace the Python 2 package with Python 3 one.

Thanks Lumír!

Comment 8 Fedora Update System 2019-09-06 07:21:23 UTC
FEDORA-2019-a2b0bab48b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a2b0bab48b

Comment 9 Fedora Update System 2019-09-06 10:46:18 UTC
python-grabserial-1.9.9-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a2b0bab48b

Comment 10 Fedora Update System 2019-09-14 00:10:11 UTC
python-grabserial-1.9.9-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-14 16:33:42 UTC
python-grabserial-1.9.9-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.